/// @cond EO_CXX_EO_IMPL

inline void elm::spinner::special_value_add(double value_, ::efl::eina::string_view label_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_special_value_add(value_, ::efl::eolian::to_c(label_)));
}

inline void elm::spinner::min_max_get(double* min_, double* max_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_min_max_get(min_, max_));
}

inline void elm::spinner::min_max_set(double min_, double max_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_min_max_set(min_, max_));
}

inline double elm::spinner::step_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_step_get());
   return _tmp_ret;
}

inline void elm::spinner::step_set(double step_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_step_set(step_));
}

inline bool elm::spinner::wrap_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_wrap_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::spinner::wrap_set(bool wrap_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_wrap_set(::efl::eolian::to_c(wrap_)));
}

inline double elm::spinner::interval_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_interval_get());
   return _tmp_ret;
}

inline void elm::spinner::interval_set(double interval_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_interval_set(interval_));
}

inline int elm::spinner::round_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_round_get());
   return _tmp_ret;
}

inline void elm::spinner::round_set(int rnd_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_round_set(rnd_));
}

inline bool elm::spinner::editable_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_editable_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::spinner::editable_set(bool editable_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_editable_set(::efl::eolian::to_c(editable_)));
}

inline double elm::spinner::base_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_base_get());
   return _tmp_ret;
}

inline void elm::spinner::base_set(double base_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_base_set(base_));
}

inline double elm::spinner::value_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_value_get());
   return _tmp_ret;
}

inline void elm::spinner::value_set(double val_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_value_set(val_));
}

inline ::efl::eina::optional< ::efl::eina::string_view > elm::spinner::label_format_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_label_format_get());
   return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm::spinner::label_format_set(::efl::eina::optional< ::efl::eina::string_view > fmt_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_label_format_set(::efl::eolian::to_c(fmt_)));
}

inline void eo_cxx::elm::spinner::special_value_add(double value_, ::efl::eina::string_view label_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_special_value_add(value_, ::efl::eolian::to_c(label_)));
}

inline void eo_cxx::elm::spinner::min_max_get(double* min_, double* max_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_min_max_get(min_, max_));
}

inline void eo_cxx::elm::spinner::min_max_set(double min_, double max_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_min_max_set(min_, max_));
}

inline double eo_cxx::elm::spinner::step_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_step_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::spinner::step_set(double step_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_step_set(step_));
}

inline bool eo_cxx::elm::spinner::wrap_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_wrap_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::spinner::wrap_set(bool wrap_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_wrap_set(::efl::eolian::to_c(wrap_)));
}

inline double eo_cxx::elm::spinner::interval_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_interval_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::spinner::interval_set(double interval_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_interval_set(interval_));
}

inline int eo_cxx::elm::spinner::round_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_round_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::spinner::round_set(int rnd_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_round_set(rnd_));
}

inline bool eo_cxx::elm::spinner::editable_get() const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_editable_get());
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::spinner::editable_set(bool editable_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_editable_set(::efl::eolian::to_c(editable_)));
}

inline double eo_cxx::elm::spinner::base_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_base_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::spinner::base_set(double base_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_base_set(base_));
}

inline double eo_cxx::elm::spinner::value_get() const
{
   double _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_value_get());
   return _tmp_ret;
}

inline void eo_cxx::elm::spinner::value_set(double val_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_value_set(val_));
}

inline ::efl::eina::optional< ::efl::eina::string_view > eo_cxx::elm::spinner::label_format_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_obj_spinner_label_format_get());
   return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm::spinner::label_format_set(::efl::eina::optional< ::efl::eina::string_view > fmt_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_obj_spinner_label_format_set(::efl::eolian::to_c(fmt_)));
}

inline ::eo_cxx::elm::spinner::operator ::elm::spinner() const
{
   return *static_cast<::elm::spinner const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm::spinner::operator ::elm::spinner&()
{
   return *static_cast<::elm::spinner*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm::spinner::operator ::elm::spinner const&() const
{
   return *static_cast<::elm::spinner const*>(static_cast<void const*>(this));
}

template <typename T>
void elm_spinner_special_value_add_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double value_, const char * label_)
{
   try
      {
         static_cast<T*>(self->this_)->special_value_add(value_, ::efl::eolian::to_cxx<::efl::eina::string_view>(label_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_spinner_min_max_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double* min_, double* max_)
{
   try
      {
         static_cast<T*>(self->this_)->min_max_get(min_, max_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void elm_spinner_min_max_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double min_, double max_)
{
   try
      {
         static_cast<T*>(self->this_)->min_max_set(min_, max_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_spinner_step_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->step_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_spinner_step_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double step_)
{
   try
      {
         static_cast<T*>(self->this_)->step_set(step_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_spinner_wrap_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->wrap_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_spinner_wrap_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool wrap_)
{
   try
      {
         static_cast<T*>(self->this_)->wrap_set(::efl::eolian::to_cxx<bool>(wrap_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_spinner_interval_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->interval_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_spinner_interval_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double interval_)
{
   try
      {
         static_cast<T*>(self->this_)->interval_set(interval_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
int elm_spinner_round_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->round_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         int _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_spinner_round_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, int rnd_)
{
   try
      {
         static_cast<T*>(self->this_)->round_set(rnd_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
bool elm_spinner_editable_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->editable_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_spinner_editable_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eina_Bool editable_)
{
   try
      {
         static_cast<T*>(self->this_)->editable_set(::efl::eolian::to_cxx<bool>(editable_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_spinner_base_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->base_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_spinner_base_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double base_)
{
   try
      {
         static_cast<T*>(self->this_)->base_set(base_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
double elm_spinner_value_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->value_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         double _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void elm_spinner_value_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, double val_)
{
   try
      {
         static_cast<T*>(self->this_)->value_set(val_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::efl::eina::optional< ::efl::eina::string_view > elm_spinner_label_format_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->label_format_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void elm_spinner_label_format_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * fmt_)
{
   try
      {
         static_cast<T*>(self->this_)->label_format_set(::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(fmt_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm::spinner >
{
   template <typename T>
   struct type
         : virtual operations< ::elm::layout >::template type<T>
         , virtual operations< ::elm_interface_atspi_value >::template type<T>
         , virtual operations< ::elm_interface_atspi_widget_action >::template type<T>
   {
      virtual void special_value_add(double value_, ::efl::eina::string_view label_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_special_value_add(value_, ::efl::eolian::to_c(label_)));
      }

      virtual void min_max_get(double* min_, double* max_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_min_max_get(min_, max_));
      }

      virtual void min_max_set(double min_, double max_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_min_max_set(min_, max_));
      }

      virtual double step_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_spinner_step_get());
            return _tmp_ret;
      }

      virtual void step_set(double step_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_step_set(step_));
      }

      virtual bool wrap_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_spinner_wrap_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void wrap_set(bool wrap_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_wrap_set(::efl::eolian::to_c(wrap_)));
      }

      virtual double interval_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_spinner_interval_get());
            return _tmp_ret;
      }

      virtual void interval_set(double interval_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_interval_set(interval_));
      }

      virtual int round_get()
      {
         int _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_spinner_round_get());
            return _tmp_ret;
      }

      virtual void round_set(int rnd_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_round_set(rnd_));
      }

      virtual bool editable_get()
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_spinner_editable_get());
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void editable_set(bool editable_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_editable_set(::efl::eolian::to_c(editable_)));
      }

      virtual double base_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_spinner_base_get());
            return _tmp_ret;
      }

      virtual void base_set(double base_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_base_set(base_));
      }

      virtual double value_get()
      {
         double _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_spinner_value_get());
            return _tmp_ret;
      }

      virtual void value_set(double val_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_value_set(val_));
      }

      virtual ::efl::eina::optional< ::efl::eina::string_view > label_format_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_obj_spinner_label_format_get());
            return ::efl::eolian::to_cxx<::efl::eina::optional< ::efl::eina::string_view >>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void label_format_set(::efl::eina::optional< ::efl::eina::string_view > fmt_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_obj_spinner_label_format_set(::efl::eolian::to_c(fmt_)));
      }

   };
};


template<>
struct operation_description_class_size< ::elm::spinner >
{
   static constexpr int value = 
#if defined(SPINNER_PROTECTED) && defined(SPINNER_BETA)
      19
#elif defined(SPINNER_PROTECTED)
      19
#elif defined(SPINNER_BETA)
      19
#else
      19
#endif
      + operation_description_class_size<::elm::layout >::value      + operation_description_class_size<::elm_interface_atspi_value >::value      + operation_description_class_size<::elm_interface_atspi_widget_action >::value;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm::spinner>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_special_value_add_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_special_value_add);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_min_max_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_min_max_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_min_max_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_min_max_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_step_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_step_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_step_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_step_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_wrap_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_wrap_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_wrap_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_wrap_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_interval_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_interval_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_interval_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_interval_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_round_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_round_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_round_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_round_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_editable_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_editable_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_editable_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_editable_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_base_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_base_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_base_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_base_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_value_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_value_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_value_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_value_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_label_format_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_label_format_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::elm_spinner_label_format_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_obj_spinner_label_format_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   initialize_operation_description<T>(::efl::eo::detail::tag<::elm::layout>(), &ops[operation_description_class_size< ::elm::spinner >::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::elm_interface_atspi_value>(), &ops[operation_description_class_size< ::elm::spinner >::value + operation_description_class_size<::elm::layout>::value]);
   initialize_operation_description<T>(::efl::eo::detail::tag<::elm_interface_atspi_widget_action>(), &ops[operation_description_class_size< ::elm::spinner >::value + operation_description_class_size<::elm::layout>::value + operation_description_class_size<::elm_interface_atspi_value>::value]);
   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm::spinner>)
{
   return (ELM_SPINNER_CLASS);
}

} } }

/// @endcond

